@use '../../styles/base/color';

$base-button-color: color.base-color('softBlue', '800');
$dark-contrast-button-color: color.base-color('softBlue', '300');

:root {
  --color-background-button-solid: #{$base-button-color};
  --color-text-button-solid: #{color.font-color('onPrimary')};
  --color-border-button-outline: #{$base-button-color};
  --color-text-button-outline: #{$base-button-color};
  --border-radius-button: var(--size-border-radius-base);

  @media (prefers-color-scheme: dark) {
    --color-border-button-outline: #{$dark-contrast-button-color};
    --color-text-button-outline: #{$dark-contrast-button-color};
  }
}

.button {
  border-radius: var(--border-radius-button);
  border: 1px solid transparent;

  &--solid {
    background-color: var(--color-background-button-solid);
    color: var(--color-text-button-solid);
  }

  &--outline {
    border-color: var(--color-border-button-outline);
    color: var(--color-text-button-outline);
  }
}
